Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.paragraph
Class ParagraphCreator

    java.lang.Object
      com.meyling.principia.logic.paragraph.ParagraphCreator

public final class ParagraphCreator
extends Object

This class provides static methods for reading and writing an `Argument`.

Version:
  $Revision: 1.5 $
Author:
  Michael Meyling

Field Summary
`static String` | `PARAGRAPH_ABBREVIATION` string for an `Abbreviation`
`static String` | `PARAGRAPH_AXIOM` string for an `Axiom`
`static String` | `PARAGRAPH_LINK_LABEL` string for a `LinkLabel`
`static String` | `PARAGRAPH_PARAGRAPH` string for a `Paragraph`
`static String` | `PARAGRAPH_PROOF_LINE` string for a `ProofLine`
`static String` | `PARAGRAPH_PROOF_LINE_LIST` string for a `ProofLineList`
`static String` | `PARAGRAPH_PROPOSITION` string for a `Proposition`
`static String` | `PARAGRAPH_RULE_DECLARATION`
`static String` | `PARAGRAPH_SENTENCE` string for a `Sentence`

Constructor Summary
`ParagraphCreator()`

Method Summary
`static Map` | `getMap()` Get the mapping of Strings to operator classes.
`static String` | `getName(Class clazz)` Get name of known operator class.
`static Argument` | `readArgument(TextInput input, ParsingTable parsing)` Create an `Argument` out of an `TextInput` object.
`static String` | `writeArgument(Argument argument)` Write an `Argument` to an `String`.
`static void` | `writeArgument(Output output, Argument argument)` Write an `Argument` to an `Output` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAGRAPH_PROOF_LINE

    public static final String PARAGRAPH_PROOF_LINE

  string for a `ProofLine`

  See Also:
    Constant Field Values

### PARAGRAPH_PROOF_LINE_LIST

    public static final String PARAGRAPH_PROOF_LINE_LIST

  string for a `ProofLineList`

  See Also:
    Constant Field Values

### PARAGRAPH_ABBREVIATION

    public static final String PARAGRAPH_ABBREVIATION

  string for an `Abbreviation`

  See Also:
    Constant Field Values

### PARAGRAPH_AXIOM

    public static final String PARAGRAPH_AXIOM

  string for an `Axiom`

  See Also:
    Constant Field Values

### PARAGRAPH_SENTENCE

    public static final String PARAGRAPH_SENTENCE

  string for a `Sentence`

  See Also:
    Constant Field Values

### PARAGRAPH_LINK_LABEL

    public static final String PARAGRAPH_LINK_LABEL

  string for a `LinkLabel`

  See Also:
    Constant Field Values

### PARAGRAPH_PROPOSITION

    public static final String PARAGRAPH_PROPOSITION

  string for a `Proposition`

  See Also:
    Constant Field Values

### PARAGRAPH_PARAGRAPH

    public static final String PARAGRAPH_PARAGRAPH

  string for a `Paragraph`

  See Also:
    Constant Field Values

### PARAGRAPH_RULE_DECLARATION

    public static final String PARAGRAPH_RULE_DECLARATION

See Also:
  Constant Field Values

Constructor Detail

### ParagraphCreator

    public ParagraphCreator()

Method Detail

### getMap

    public static final Map getMap()

  Get the mapping of Strings to operator classes. The returned Map should not be modified.

  Returns:
    mapping of known Strings, do not change this Map

### getName

    public static final String getName(Class clazz)
                                throws IllegalArgumentException

  Get name of known operator class.

  Parameters:
    `clazz` - look for name of this class
  Returns:
    name of operator class
  Throws:
    `IllegalArgumentException` - if operator class `c` is unknown

### readArgument

    public static final Argument readArgument(TextInput input,
                                              ParsingTable parsing)
                                       throws ParsingException

  Create an `Argument` out of an `TextInput` object.

  Parameters:
    `input` - source to read from
    `parsing` - maps `Argument`s into `Position`s
  Returns:
    created argument
  Throws:
    `ParsingException` - if creation failed

### writeArgument

    public static final void writeArgument(Output output,
                                           Argument argument)
                                    throws IllegalArgumentException

  Write an `Argument` to an `Output` object.

  Parameters:
    `output` - destination to write to
    `argument` - this object will be written
  Throws:
    `IllegalArgumentException` - if writing failed

### writeArgument

    public static final String writeArgument(Argument argument)
                                      throws IllegalArgumentException

  Write an `Argument` to an `String`.

  Parameters:
    `argument` - this object will be written
  Returns:
    created string
  Throws:
    `IllegalArgumentException` - if writing failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.